<?php


//admin interface
function comment_join_settings_form() {
  $form = array();
  $form['comment_join'] = array(
    '#type'  => 'fieldset',
    '#title' => t('Comment join module settings'),
    '#tree'  => TRUE
  );
  $form['comment_join']['display_date'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Display original date at the beginning of enlarged comments'),
    '#default_value' => _comment_join_variable_get('display_date')
  );

  // Create the fieldsets holding the checkboxes
  $form['allow_comment_join'] = array(
    '#type' => 'fieldset',
    '#title' => t('Enable comment joining of the following node types'),
    '#weight' => -8,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
    '#description' => t("Define the node types that comment join should operate on."),
  );

  // Generate the node type specific checkboxes per fieldset
  foreach (node_get_types('types') as $node_type) {
    $name = $node_type->name;
    $type = $node_type->type;
    $form['allow_comment_join']["comment_join_node_$type"] = array(
      '#type' => 'checkbox',
      '#title' => check_plain($name),
      '#default_value' => variable_get("comment_join_node_$type", TRUE),
    );
  }

  return system_settings_form($form);
}




